<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: menu  YAHOO.widget.ContextMenuItem   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>Menu&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_menu.html">menu</a>
                 &gt; YAHOO.widget.ContextMenuItem 
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">


                    <h2>
                        

                        
                        
                            Class <b>YAHOO.widget.ContextMenuItem</b>
                        <span class="extends">
                           - extends <a href="YAHOO.widget.MenuItem.html">YAHOO.widget.MenuItem</a>
                        </span>

                        <span class="extends">
                        </span>
                        
                        </code>
                    </h2>
                    <!-- class tree goes here -->
                    
                
  

                    <div class="summary description">
                        Creates an item for a context menu.
                    </div>

                        <div class="section constructor details">
                        <h3><a name="constructor_detail">Constructor</a></h3>
                        <div class="content">
                            <div class="detail">
                                <strong>YAHOO.widget.ContextMenuItem</strong>
                                <code>
                                    (
  
                                        
                                                
                                                p_oObject




                                                , 
                                                p_oConfig
                                    )
                                </code>
                                <div class="description">
                                        <dl>
                                            <dt>Parameters:</dt>
                                                <dd>
                                                    <code>p_oObject
                                                    &lt;String&gt; 
                                                    </code>
                                                     String specifying the text of the context menu item.
                                                </dd>
                                                <dd>
                                                    <code>p_oObject
                                                    &lt;<a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-
one-html.html#ID-74680021">HTMLLIElement</a>&gt; 
                                                    </code>
                                                     Object specifying the 
<code>&#60;li&#62;</code> element of the context menu item.
                                                </dd>
                                                <dd>
                                                    <code>p_oObject
                                                    &lt;<a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-
one-html.html#ID-38450247">HTMLOptGroupElement</a>&gt; 
                                                    </code>
                                                     Object 
specifying the <code>&#60;optgroup&#62;</code> element of the context 
menu item.
                                                </dd>
                                                <dd>
                                                    <code>p_oObject
                                                    &lt;<a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-
one-html.html#ID-70901257">HTMLOptionElement</a>&gt; 
                                                    </code>
                                                     Object specifying 
the <code>&#60;option&#62;</code> element of the context menu item.
                                                </dd>
                                                <dd>
                                                    <code>p_oConfig
                                                    &lt;Object&gt; 
                                                    </code>
                                                     Optional. Object literal specifying the 
configuration for the context menu item. See configuration class 
documentation for more details.
                                                </dd>
                                        </dl>
                                    
                                    
                                </div>
                            </div>
                        </div>
                    </div>


                        <div class="section field inheritance">
                            <h4>Properties inherited from <a href="YAHOO.widget.MenuItem.html">YAHOO.widget.MenuItem</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.MenuItem.html#_checkImage">_checkImage</a>,
                                        <a href="YAHOO.widget.MenuItem.html#_oAnchor">_oAnchor</a>,
                                        <a href="YAHOO.widget.MenuItem.html#_oCheckedIndicator">_oCheckedIndicator</a>,
                                        <a href="YAHOO.widget.MenuItem.html#_oHelpTextEM">_oHelpTextEM</a>,
                                        <a href="YAHOO.widget.MenuItem.html#_oOnclickAttributeValue">_oOnclickAttributeValue</a>,
                                        <a href="YAHOO.widget.MenuItem.html#_oSubmenu">_oSubmenu</a>,
                                        <a href="YAHOO.widget.MenuItem.html#_oText">_oText</a>,
                                        <a href="YAHOO.widget.MenuItem.html#_sClassName">_sClassName</a>,
                                        <a href="YAHOO.widget.MenuItem.html#browser">browser</a>,
                                        <a href="YAHOO.widget.MenuItem.html#CHECKED_IMAGE_ALT_TEXT">CHECKED_IMAGE_ALT_TEXT</a>,
                                        <a href="YAHOO.widget.MenuItem.html#CHECKED_IMAGE_PATH">CHECKED_IMAGE_PATH</a>,
                                        <a href="YAHOO.widget.MenuItem.html#CHECKED_TEXT">CHECKED_TEXT</a>,
                                        <a href="YAHOO.widget.MenuItem.html#COLLAPSED_SUBMENU_INDICATOR_ALT_TEXT">COLLAPSED_SUBMENU_INDICATOR_ALT_TEXT</a>,
                                        <a href="YAHOO.widget.MenuItem.html#COLLAPSED_SUBMENU_INDICATOR_TEXT">COLLAPSED_SUBMENU_INDICATOR_TEXT</a>,
                                        <a href="YAHOO.widget.MenuItem.html#constructor">constructor</a>,
                                        <a href="YAHOO.widget.MenuItem.html#CSS_CLASS_NAME">CSS_CLASS_NAME</a>,
                                        <a href="YAHOO.widget.MenuItem.html#DISABLED_CHECKED_IMAGE_ALT_TEXT">DISABLED_CHECKED_IMAGE_ALT_TEXT</a>,
                                        <a href="YAHOO.widget.MenuItem.html#DISABLED_CHECKED_IMAGE_PATH">DISABLED_CHECKED_IMAGE_PATH</a>,
                                        <a href="YAHOO.widget.MenuItem.html#DISABLED_CHECKED_TEXT">DISABLED_CHECKED_TEXT</a>,
                                        <a href="YAHOO.widget.MenuItem.html#DISABLED_SUBMENU_INDICATOR_ALT_TEXT">DISABLED_SUBMENU_INDICATOR_ALT_TEXT</a>,
                                        <a href="YAHOO.widget.MenuItem.html#DISABLED_SUBMENU_INDICATOR_IMAGE_PATH">DISABLED_SUBMENU_INDICATOR_IMAGE_PATH</a>,
                                        <a href="YAHOO.widget.MenuItem.html#DISABLED_SUBMENU_INDICATOR_TEXT">DISABLED_SUBMENU_INDICATOR_TEXT</a>,
                                        <a href="YAHOO.widget.MenuItem.html#element">element</a>,
                                        <a href="YAHOO.widget.MenuItem.html#EXPANDED_SUBMENU_INDICATOR_ALT_TEXT">EXPANDED_SUBMENU_INDICATOR_ALT_TEXT</a>,
                                        <a href="YAHOO.widget.MenuItem.html#EXPANDED_SUBMENU_INDICATOR_TEXT">EXPANDED_SUBMENU_INDICATOR_TEXT</a>,
                                        <a href="YAHOO.widget.MenuItem.html#groupIndex">groupIndex</a>,
                                        <a href="YAHOO.widget.MenuItem.html#id">id</a>,
                                        <a href="YAHOO.widget.MenuItem.html#imageRoot">imageRoot</a>,
                                        <a href="YAHOO.widget.MenuItem.html#IMG_ROOT">IMG_ROOT</a>,
                                        <a href="YAHOO.widget.MenuItem.html#IMG_ROOT_SSL">IMG_ROOT_SSL</a>,
                                        <a href="YAHOO.widget.MenuItem.html#index">index</a>,
                                        <a href="YAHOO.widget.MenuItem.html#isSecure">isSecure</a>,
                                        <a href="YAHOO.widget.MenuItem.html#parent">parent</a>,
                                        <a href="YAHOO.widget.MenuItem.html#SELECTED_CHECKED_IMAGE_PATH">SELECTED_CHECKED_IMAGE_PATH</a>,
                                        <a href="YAHOO.widget.MenuItem.html#SELECTED_SUBMENU_INDICATOR_IMAGE_PATH">SELECTED_SUBMENU_INDICATOR_IMAGE_PATH</a>,
                                        <a href="YAHOO.widget.MenuItem.html#srcElement">srcElement</a>,
                                        <a href="YAHOO.widget.MenuItem.html#SUBMENU_INDICATOR_IMAGE_PATH">SUBMENU_INDICATOR_IMAGE_PATH</a>,
                                        <a href="YAHOO.widget.MenuItem.html#SUBMENU_TYPE">SUBMENU_TYPE</a>,
                                        <a href="YAHOO.widget.MenuItem.html#submenuIndicator">submenuIndicator</a>,
                                        <a href="YAHOO.widget.MenuItem.html#value">value</a>
                                </code>
                            </div>
                        </div>

                        <div class="section method details">
                            <h3><a name="methodDetails">Methods</a></h3>
                            <div class="content">
                                    <h4>
                                        <a name="init">init</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>init</strong>
                                           (
                                                
                                                        
                                                         p_oObject
                                                    
                                                

                                                

                                                

                                                
                                                        , 
                                                         p_oConfig
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            The ContextMenuItem class's initialization method. This method 
is automatically called by the constructor, and sets up all DOM references 
for pre-existing markup, and creates required markup if it is not 
already present.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_oObject &lt;String&gt;</code>
                                                             String specifying the text of the context menu item.
                                                        </dd>
                                                        <dd>
                                                            <code>p_oObject &lt;<a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-
one-html.html#ID-74680021">HTMLLIElement</a>&gt;</code>
                                                             Object specifying the 
<code>&#60;li&#62;</code> element of the context menu item.
                                                        </dd>
                                                        <dd>
                                                            <code>p_oObject &lt;<a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-
one-html.html#ID-38450247">HTMLOptGroupElement</a>&gt;</code>
                                                             Object 
specifying the <code>&#60;optgroup&#62;</code> element of the context 
menu item.
                                                        </dd>
                                                        <dd>
                                                            <code>p_oObject &lt;<a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-
one-html.html#ID-70901257">HTMLOptionElement</a>&gt;</code>
                                                             Object specifying 
the <code>&#60;option&#62;</code> element of the context menu item.
                                                        </dd>
                                                        <dd>
                                                            <code>p_oConfig &lt;Object&gt;</code>
                                                             Optional. Object literal specifying the 
configuration for the context menu item. See configuration class 
documentation for more details.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="toString">toString</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        String
                                            <strong>toString</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Returns a string representing the context menu item.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        String
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                            </div>
                        </div>

                            <div class="section field inheritance">
                                <h4>Methods inherited from <a href="YAHOO.widget.MenuItem.html">YAHOO.widget.MenuItem</a>:</h4>
                                <div class="content">
                                    <code>
                                        
                                            <a href="YAHOO.widget.MenuItem.html#_checkDOMNode">_checkDOMNode</a>,
                                            <a href="YAHOO.widget.MenuItem.html#_checkString">_checkString</a>,
                                            <a href="YAHOO.widget.MenuItem.html#_createRootNodeStructure">_createRootNodeStructure</a>,
                                            <a href="YAHOO.widget.MenuItem.html#_getFirstElement">_getFirstElement</a>,
                                            <a href="YAHOO.widget.MenuItem.html#_initSubTree">_initSubTree</a>,
                                            <a href="YAHOO.widget.MenuItem.html#_preloadImage">_preloadImage</a>,
                                            <a href="YAHOO.widget.MenuItem.html#blur">blur</a>,
                                            <a href="YAHOO.widget.MenuItem.html#configChecked">configChecked</a>,
                                            <a href="YAHOO.widget.MenuItem.html#configClassName">configClassName</a>,
                                            <a href="YAHOO.widget.MenuItem.html#configDisabled">configDisabled</a>,
                                            <a href="YAHOO.widget.MenuItem.html#configEmphasis">configEmphasis</a>,
                                            <a href="YAHOO.widget.MenuItem.html#configHelpText">configHelpText</a>,
                                            <a href="YAHOO.widget.MenuItem.html#configOnClick">configOnClick</a>,
                                            <a href="YAHOO.widget.MenuItem.html#configSelected">configSelected</a>,
                                            <a href="YAHOO.widget.MenuItem.html#configStrongEmphasis">configStrongEmphasis</a>,
                                            <a href="YAHOO.widget.MenuItem.html#configSubmenu">configSubmenu</a>,
                                            <a href="YAHOO.widget.MenuItem.html#configTarget">configTarget</a>,
                                            <a href="YAHOO.widget.MenuItem.html#configText">configText</a>,
                                            <a href="YAHOO.widget.MenuItem.html#configURL">configURL</a>,
                                            <a href="YAHOO.widget.MenuItem.html#destroy">destroy</a>,
                                            <a href="YAHOO.widget.MenuItem.html#focus">focus</a>,
                                            <a href="YAHOO.widget.MenuItem.html#getNextEnabledSibling">getNextEnabledSibling</a>,
                                            <a href="YAHOO.widget.MenuItem.html#getPreviousEnabledSibling">getPreviousEnabledSibling</a>,
                                            <a href="YAHOO.widget.MenuItem.html#init">init</a>,
                                            <a href="YAHOO.widget.MenuItem.html#initDefaultConfig">initDefaultConfig</a>,
                                            <a href="YAHOO.widget.MenuItem.html#toString">toString</a>
                                    </code>
                                </div>
                            </div>



                        <div class="section field inheritance">
                            <h4>Events inherited from <a href="YAHOO.widget.MenuItem.html">YAHOO.widget.MenuItem</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.MenuItem.html#blurEvent">blurEvent</a>,
                                        <a href="YAHOO.widget.MenuItem.html#clickEvent">clickEvent</a>,
                                        <a href="YAHOO.widget.MenuItem.html#destroyEvent">destroyEvent</a>,
                                        <a href="YAHOO.widget.MenuItem.html#focusEvent">focusEvent</a>,
                                        <a href="YAHOO.widget.MenuItem.html#keyDownEvent">keyDownEvent</a>,
                                        <a href="YAHOO.widget.MenuItem.html#keyPressEvent">keyPressEvent</a>,
                                        <a href="YAHOO.widget.MenuItem.html#keyUpEvent">keyUpEvent</a>,
                                        <a href="YAHOO.widget.MenuItem.html#mouseDownEvent">mouseDownEvent</a>,
                                        <a href="YAHOO.widget.MenuItem.html#mouseOutEvent">mouseOutEvent</a>,
                                        <a href="YAHOO.widget.MenuItem.html#mouseOverEvent">mouseOverEvent</a>,
                                        <a href="YAHOO.widget.MenuItem.html#mouseUpEvent">mouseUpEvent</a>
                                </code>
                            </div>
                        </div>


                        <div class="section field inheritance">
                            <h4>Configuration attributes inherited from <a href="YAHOO.widget.MenuItem.html">YAHOO.widget.MenuItem</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.MenuItem.html#checked">checked</a>,
                                        <a href="YAHOO.widget.MenuItem.html#classname">classname</a>,
                                        <a href="YAHOO.widget.MenuItem.html#disabled">disabled</a>,
                                        <a href="YAHOO.widget.MenuItem.html#emphasis">emphasis</a>,
                                        <a href="YAHOO.widget.MenuItem.html#helptext">helptext</a>,
                                        <a href="YAHOO.widget.MenuItem.html#onclick">onclick</a>,
                                        <a href="YAHOO.widget.MenuItem.html#selected">selected</a>,
                                        <a href="YAHOO.widget.MenuItem.html#strongemphasis">strongemphasis</a>,
                                        <a href="YAHOO.widget.MenuItem.html#submenu">submenu</a>,
                                        <a href="YAHOO.widget.MenuItem.html#target">target</a>,
                                        <a href="YAHOO.widget.MenuItem.html#text">text</a>,
                                        <a href="YAHOO.widget.MenuItem.html#url">url</a>
                                </code>
                            </div>
                        </div>

			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class="selected"><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="YAHOO.widget.ContextMenu.html">YAHOO.widget.ContextMenu</a></li>
                                <li class="selected"><a href="YAHOO.widget.ContextMenuItem.html">YAHOO.widget.ContextMenuItem</a></li>
                                <li class=""><a href="YAHOO.widget.Menu.html">YAHOO.widget.Menu</a></li>
                                <li class=""><a href="YAHOO.widget.Menubar.html">YAHOO.widget.Menubar</a></li>
                                <li class=""><a href="YAHOO.widget.MenuBarItem.html">YAHOO.widget.MenuBarItem</a></li>
                                <li class=""><a href="YAHOO.widget.MenuItem.html">YAHOO.widget.MenuItem</a></li>
                                <li class=""><a href="YAHOO.widget.MenuManager.html">YAHOO.widget.MenuManager</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="contextmenu.js.html">contextmenu.js</a></li>
                                <li class=""><a href="contextmenuitem.js.html">contextmenuitem.js</a></li>
                                <li class=""><a href="menu.js.html">menu.js</a></li>
                                <li class=""><a href="menubar.js.html">menubar.js</a></li>
                                <li class=""><a href="menubaritem.js.html">menubaritem.js</a></li>
                                <li class=""><a href="menuitem.js.html">menuitem.js</a></li>
                                <li class=""><a href="menumanager.js.html">menumanager.js</a></li>
                        </ul>
                    </div>


                    <div class="module">
                        <h4>Methods</h4>
                        <ul class="content">        
                                <li><!--<code>void</code>-->
                                <a href="#init">init</a>
                                </li>
                                <li><!--<code>String</code>-->
                                <a href="#toString">toString</a>
                                </li>
                        </ul>
                    </div>



            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
